Insert a face
Enroll a face by providing person_id and a base64-encoded image. collection defaults to default. If collection is set to custom, custom_collection parameter is required.
The service extracts and stores the face embedding for the authenticated consumer. Enrolling the same person_id in the same collection replaces its existing embedding.
HTTP 201 contains a completed session projection with:
- service_name: veriface
- session_status: pass
- result.action: enroll
- result.service_status: enrolled
curl -X POST "https://demo.verigram.kz/face" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "X-Verigram-Api-Version: 2.0.0" \
-H "Content-Type: application/json" \
-d '{
"person_id": "string",
"image": "string"
}'Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
X-Verigram-Api-VersionstringheaderобязательноRequired API version header.
Значение по умолчанию:2.0.0
Тело
person_idstringобязательноPerson ID
collectionenum<string>Collection name
Одно из:blacklistwhitelistgraylistwatchlistdefaultcustomЗначение по умолчанию:defaultcustom_collectionstringCustom collection name, use when 'collection' is set to 'custom'
imagestring<byte>обязательноBase64 encoded image
Ответ
Face embedding enrolled successfully.
session_idstringUnique identifier for the session.
person_idstringIdentifier of a person associated with the session. Alphanumeric string.
consumer_idstringIdentifier of the consumer who owns the session.
flow_idstring | nullIdentifier of the flow associated with the session.
vlink_idstring | nullIdentifier of the vlink associated with the session.
api_versionstringThe version of the API used to create and process this session.
service_nameenum<string>Одно из:veriliveverilive-one-shotverilive-infraredverifaceveridockiscredocegov-docaml-cftflow-formconsentveriphoneesignkyc-listotpnotificationdevice-filterdoc-previewdoc-builderfile-storageclient-carderdinterrupterlanguage-selectoramlcft-servicesession_statusenum<string>The main status of a flow or a service. Helps to make a binary decision whether the flow/service was successful or not. If "pass" - the flow/service was successful, unsuccessful otherwise.
Одно из:passfailunknowntest_sessionboolean | nullWhether the session was created for test purposes.
step_idstring | nullprocessstring | nulluser_ipstring | nullvendorstring | nullcreated_atstring<date-time>Timestamp when the session was created.
updated_atstring<date-time>Timestamp of the last update to the session's state.
session_statesSessionState[]History of execution states reached by this session.
resultone of
{
"session_id": "face-enrolled-S",
"person_id": "person-123",
"consumer_id": "consumer-123",
"flow_id": "face-flow-F",
"api_version": "2.0.0",
"service_name": "veriface",
"session_status": "pass",
"created_at": "2026-10-02T10:00:00Z",
"updated_at": "2026-10-02T10:00:01Z",
"session_states": [
{
"state_name": "created",
"created_at": "2026-10-02T10:00:00Z"
},
{
"state_name": "processed",
"created_at": "2026-10-02T10:00:01Z"
}
],
"result": {
"service_name": "veriface",
"service_status": "enrolled",
"action": "enroll",
"score": null,
"collection": "default",
"custom_collection": null,
"error_code": null,
"error_msg": null,
"created_at": "2026-10-02T10:00:01Z",
"created_by": "system"
}
}